Subject: bug#42297: closed (Re: [PATCH 00/10] Add Python packages for Sourcehut)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Jan 2025 22:07:02 +0000

Your bug report

#42297: [PATCH 00/10] Add Python packages for Sourcehut

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42297: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42297
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 00/10] Add Python packages for Sourcehut
From: jgart <[email-masked]>
To: [email-masked]
Cc: Alexandru-Sergiu Marton <[email-masked]>
Date: Thu, 16 Jan 2025 16:05:48 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Alexandru,

I'm closing this ticket for now as quite stale by now.

If you wish to continue packaging sourcehut feel free to reopen a new
ticket with the latest released version.

I would suggest packaging a small bit of SourceHut at a time.

As in one app so that it can make review easier since volunteer time for
patch review is rather low for very large patch reviews.

Thanks for your packaging efforts.

Alternatively, I would recommend putting this SourceHut code in a Guix
channel with the services so that people can use it as a pre-release
while you wait for patch review in Guix upstream.
-- 
all the best,
jgart

Subject: [PATCH 00/10] Add Python packages for Sourcehut
From: Alexandru-Sergiu Marton <[email-masked]>
To: [email-masked]
Cc: Alexandru-Sergiu Marton <[email-masked]>
Date: Thu, 9 Jul 2020 22:14:47 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

This patch series adds some Python packages that I could see we were
missing to be able to package Sourcehut. (We're missing some go packages
too, but that's another story.)

Some packages (python-minio, python-hglib, python-sshpubkeys,
python-atpublic, python-aiosmtpd) have failing tests, and I'm not
knowledgeable enough to debug those. Any help would be appreciated. For
the time being, I disabled tests for those packages.

Alexandru-Sergiu Marton (10):
  gnu: Add hg-evolve.
  gnu: Add python-pgpy.
  gnu: Add python-minio.
  gnu: Add python-hglib.
  gnu: Add python-unidiff.
  gnu: Add python-emailthreads.
  gnu: Add python-zxcvbn.
  gnu: Add python-sshpubkeys.
  gnu: Add python-atpublic.
  gnu: Add python-aiosmtpd.

 gnu/packages/python-crypto.scm   |  25 ++++
 gnu/packages/python-xyz.scm      | 230 +++++++++++++++++++++++++++++++
 gnu/packages/version-control.scm |  35 +++++
 3 files changed, 290 insertions(+)

-- 
2.27.0